@import url('https://fonts.googleapis.com/css2?family=Nunito+Sans:ital,opsz,wght@0,6..12,200..1000;1,6..12,200..1000&display=swap');

:root {
  --global-paleta1: #e3be43;
  --global-paleta1b: #fefbf2;
  --global-paleta2: #02bcef;
  --global-paleta2b: #f2fbfe;
  --global-paleta3: #049592;
  --global-paleta3b: #f2f9f9;
  --global-paleta4: #4a4cf9;
  --global-paleta4b: #f6f6fe;
  --lt-color-gris-100: #f8f9fc;
  --lt-color-gris-200: #f5f5f5;
  --lt-color-gris-300: #e5e5e5;	
  --lt-color-gris-500: #616161;
  --lt-color-negro-100: #000000bd;
  --lt-color-negro-200: #000000;
  --lt-color-blanco: #fff;
  --h2-verde: #616161;
  --h2-blanco: #616161;
  --h2-rosa: #616161;
  --h2-negro: #616161;
  --h2-amarillo: #616161;;
  --h2-azul: #616161;
  --h2-turquesa: #616161;
  --h2-gris: #616161;
}

body {
  font-family: "Nunito Sans", sans-serif;
  font-size: 1.1rem;
  line-height: 1.5;
  color: var(--lt-color-gris-500);
}
h1, h2, h3, h4, h5, h6 {
  letter-spacing: 0.02rem;
  font-weight: 700
}
a {
  text-decoration: none;
  color: inherit;
}
a:hover {
  color: var(--global-paleta3);
  ;
}
a.page-link {
  font-weight: 700;
  color: var(--global-paleta4);
}
.navbar-light .navbar-nav .nav-link {
    color: var(--lt-color-gris-500);
}
/*SelecciÃ³n de texto*/ 
::-moz-selection { 
  color: var(--lt-color-blanco);
  background: var(--global-paleta4);
}
::selection {
  color: var(--lt-color-blanco);
  background: var(--global-paleta4);
}

/*Fondos*/
.bg-foro {
  background-color: #f2c32f;
  background-size: cover;
  background-position: center;
  height: auto;
}

#botones-foro{
  background-color: #18a638;
  color: #FFF;
  font-weight: bold;
}

#botones-proyecto{
  background-color: #5f81be;
  color: #FFF;
  font-weight: bold;
}

.btn-success{
  transition: 0.75s;
}
.btn-warning{
  transition: 0.75s;
  text-shadow: 
        -2px -2px 0 white,
         2px -2px 0 white,
        -2px  2px 0 white,
         2px  2px 0 white;
}

.btn-success:hover, .btn-warning:hover{
  transform: scale(1.03);
}

.img-btn-foro{
  transition: 0.75s;
  max-width: 300px;
}
.img-btn-foro:hover{
  transform: scale(1.05);
}

h2{
  font-size: 3em;
  font-weight: bold;
  word-wrap: break-word;
}

.titulo-amarillo{
  color: var(--global-paleta1);
}

.btn-border{
  border-left: 5px solid #fff;
  border-right: 5px solid #fff;
}

@media (max-width: 768px) {
  .btn-border{
    border-top: 5px solid #fff;
    border-bottom: 5px solid #fff;
    border-left: 0px solid #fff;
  border-right: 0px solid #fff;
  }
}

.carousel-indicators [data-bs-target]{
  width: 25px;
  height: 25px;
  border: 0;
  border-radius: 15px!important;
  background-color: #198754;
}
.carousel-control-next-icon, .carousel-control-prev-icon{
  background-color: #198754;
}
.carousel-indicators{
  position: relative;
}
#noticias-foro{
  background-color: #fbfce3; 
}
.highlight {
  background-color: yellow; /* Color de resaltado */
}
.line-clamp-2 {
  display: -webkit-box;
  -webkit-line-clamp: 2; /* Limita a 2 líneas */
  -webkit-box-orient: vertical;
  overflow: hidden;
}

@media (min-width: 768px) {
  .bd-layout {
      display:grid;
      gap: 1rem;
      grid-template-areas: "sidebar main";
      grid-template-columns: 1fr 4fr
  }
}

@media (min-width: 992px) {
  .bd-layout {
      grid-template-columns: 1fr 4fr
  }
}

.bd-sidebar-toggle {
  color: #6c757d
}

.bd-sidebar-toggle:hover,.bd-sidebar-toggle:focus {
  color: #7952b3
}

.bd-sidebar-toggle:focus {
  box-shadow: 0 0 0 3px rgba(121,82,179,0.25)
}

.bd-sidebar-toggle .bi-collapse {
  display: none
}

.bd-sidebar-toggle:not(.collapsed) .bi-expand {
  display: none
}

.bd-sidebar-toggle:not(.collapsed) .bi-collapse {
  display: inline-block
}
@media (max-width: 767.98px) {
  .bd-sidebar {
      margin:0 -.75rem 1rem
  }
}
.bd-sidebar {
  grid-area: sidebar
}
.bd-links {
  overflow: auto;
  font-weight: 600
}

@media (min-width: 768px) {
  .bd-links {
      position:-webkit-sticky;
      position: sticky;
      top: 5rem;
      display: block !important;
      height: calc(90vh - 2rem);
      padding-left: .25rem;
      margin-left: -.25rem;
      overflow-y: auto;
      overflow-x: hidden;
  }
}

@media (max-width: 767.98px) {
  .bd-links>ul {
      padding:1.5rem .75rem;
      background-color: #f8f9fa;
      border-bottom: 1px solid #e9ecef
  }
}

.bd-links a {
  padding: .1875rem .5rem;
  margin-top: .125rem;
  margin-left: 1.25rem;
  color: rgba(0,0,0,0.65);
  text-decoration: none
}

.bd-links a:hover,.bd-links a:focus {
  color: rgba(0,0,0,0.85);
  background-color: rgba(121,82,179,0.1)
}

.bd-links .btn {
  padding: .25rem .5rem;
  font-weight: 600;
  color: rgba(0,0,0,0.65);
  background-color: transparent;
  border: 0
}

.bd-links .btn:hover,.bd-links .btn:focus {
  color: rgba(0,0,0,0.85);
  background-color: rgba(121,82,179,0.1)
}

.bd-links .btn:focus {
  box-shadow: 0 0 0 1px rgba(121,82,179,0.7)
}

.bd-links .btn::before {
  width: 1.25em;
  line-height: 0;
  content: url("data:image/svg+xml,%3csvg xmlns='http://www.w3.org/2000/svg' width='16' height='16' viewBox='0 0 16 16'%3e%3cpath fill='none' stroke='rgba%280,0,0,.5%29' stroke-linecap='round' stroke-linejoin='round' stroke-width='2' d='M5 14l6-6-6-6'/%3e%3c/svg%3e");
  transition: transform 0.35s ease;
  transform-origin: .5em 50%
}

@media (prefers-reduced-motion: reduce) {
  .bd-links .btn::before {
      transition: none
  }
}

.bd-links .btn[aria-expanded="true"] {
  color: rgba(0,0,0,0.85)
}

.bd-links .btn[aria-expanded="true"]::before {
  transform: rotate(90deg)
}

.bd-links .active {
  font-weight: 600;
  color: rgba(0,0,0,0.85)
}
.bd-main {
  grid-area: main
}

@media (min-width: 768px) {
  .bd-main {
      display:grid;
      gap: inherit;
      grid-template-areas: "intro" "toc" "content";
      grid-template-rows: auto auto 1fr
  }
}

@media (min-width: 992px) {
  .bd-main {
      grid-template-areas:"intro   toc" "content toc";
      grid-template-rows: auto 1fr
  }
}
.bd-content>h2:not(:first-child) {
  margin-top: 3rem
}

.bd-content>h3 {
  margin-top: 2rem
}

.bd-content>ul li,.bd-content>ol li {
  margin-bottom: .25rem
}

.bd-content>ul li>p~ul,.bd-content>ol li>p~ul {
  margin-top: -.5rem;
  margin-bottom: 1rem
}

.bd-content>.table {
  max-width: 100%;
  margin-bottom: 1.5rem;
  font-size: .875rem
}

@media (max-width: 991.98px) {
  .bd-content>.table {
      display:block;
      overflow-x: auto
  }

  .bd-content>.table.table-bordered {
      border: 0
  }
}

.bd-content>.table th:first-child,.bd-content>.table td:first-child {
  padding-left: 0
}

.bd-content>.table th:not(:last-child),.bd-content>.table td:not(:last-child) {
  padding-right: 1.5rem
}

.bd-content>.table td:first-child>code {
  white-space: nowrap
}
.bd-content {
  grid-area: content;
  min-width: 1px
}